> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept invitation to organization



## OpenAPI

````yaml post /organization/invite/accept
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /organization/invite/accept:
    post:
      tags:
        - Organization
      summary: Accept invitation to organization
      operationId: OrganizationController_acceptInvitationToOrganization
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationAcceptInviteBodyDto'
      responses:
        '200':
          description: Invitation accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationInviteResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
components:
  schemas:
    OrganizationAcceptInviteBodyDto:
      type: object
      properties:
        token:
          type: string
          description: Invite token
      required:
        - token
    OrganizationInviteResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Invitation unique identifier
          format: uuid
        token:
          type: string
          description: Invitation token
        email:
          type: string
          description: Email of the invitee
        status:
          type: string
          description: Current status of the invitation
        organizationId:
          type: string
          description: Organization unique identifier
          format: uuid
        organizationName:
          type: string
          description: Organization name
        organizationRole:
          type: string
          description: Role in the organization
        expiresAt:
          type: string
          description: Invitation expiration date
          format: date-time
      required:
        - id
        - token
        - email
        - status
        - organizationId
        - organizationName
        - organizationRole
        - expiresAt
    ErrorDto:
      type: object
      properties:
        timestamp:
          type: string
          example: '2025-02-18T12:31:18.491Z'
          description: Timestamp of the error
        service:
          type: string
          example: AiService
          description: Name of the service where the error occurred
        method:
          type: string
          example: startConversation
          description: Method name where the error occurred
        message:
          type: string
          example: Invalid parameters provided
          description: Error message
        code:
          type: number
          example: 400
          description: HTTP status code
          minimum: 100
          maximum: 599
      required:
        - timestamp
        - service
        - method
        - message
        - code

````